Loading...
Searching...
No Matches
blackoilboundaryratevector.hh File Reference

Implements a boundary vector for the fully implicit black-oil model. More...

`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/material/constraintsolvers/NcpFlash.hpp>`
`#include <opm/models/blackoil/blackoilenergymodules.hh>`
`#include <algorithm>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilBoundaryRateVector< TypeTag >
| Implements a boundary vector for the fully implicit black-oil model. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Implements a boundary vector for the fully implicit black-oil model.